package com.planetmyanmarnews;

import com.planetmyanmarnews.R;

import android.graphics.Typeface;
import android.os.Bundle;
import android.support.v4.app.Fragment;
import android.text.Html;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

public class DetailFragment extends Fragment {
	
	//private String pid;
	private String ptitle;
	private String pimage;
	private String pdatemodified;
	private String pstory;
	private ImageLoader imgLoader;
	
    public DetailFragment(String mydataid, ImageLoader imgLoad) {
    	//this.pid = sid;
    	String[] getlist = mydataid.split("\\^");
    	this.ptitle = getlist[1].toString();
    	this.pimage = getlist[2].toString();
    	this.pdatemodified = getlist[3].toString();
    	this.pstory = getlist[4].toString();
    	this.imgLoader = imgLoad;
    }
        
    @Override
    public void onCreate(Bundle savedInstanceState) {
            super.onCreate(savedInstanceState);                
    }   
    
    @Override
    public void onActivityCreated(Bundle savedInstanceState) {
            super.onActivityCreated(savedInstanceState);
    }
    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
            View view = inflater.inflate(R.layout.detail, container, false);
            
            Typeface font = Typeface.createFromAsset(getActivity().getAssets(), "fonts/Zawgyi-One.ttf");
            TextView newstitle = (TextView) view.findViewById(R.id.newstitle);
    		newstitle.setText(Html.fromHtml("<b>" + ptitle + "</b>"));
    		newstitle.setPadding(5, 2, 2, 3);
    		newstitle.setTypeface(font);			
    		ImageView newsimage = (ImageView) view.findViewById(R.id.newsimg);
    		
    		imgLoader.DisplayImage(pimage, newsimage);
            newsimage.setPadding(5, 5, 5, 5);
            TextView newsupdated = (TextView) view.findViewById(R.id.newsupdated);
            newsupdated.setText(pdatemodified);
    		TextView newstory = (TextView) view.findViewById(R.id.newsstory);
    		newstory.setText(common.TransformString(pstory));		
    		newstory.setTypeface(font);
    		newstory.setPadding(5, 5, 5, 5);	             
            return view;
    }
}